= form_for(resource,
           as: resource_name,
           url: registration_path(resource_name),
           html: { method: :put }) do |f|
  = render 'devise/shared/error_messages', resource: resource

  .-grid-2.-gap
    %fieldset
      %legend= t('.account')

      .rui-field
        = f.label :username
        = f.text_field :username, required: true

      .rui-field
        = f.label :email
        = f.email_field :email, autofocus: true, autocomplete: 'email', required: true
      - if Devise.mappings[resource_name].confirmable? && resource.pending_reconfirmation?
        .rui-alert.rui-alert--warning
          = t('.currently_waiting_confirmation_for_email', email: resource.unconfirmed_email)

    %fieldset
      %legend= t('.password')

      .rui-field
        = f.label :password
        = f.password_field :password, autocomplete: 'new-password'
        .rui-field__help (#{t('.leave_blank_if_you_don_t_want_to_change_it')})
        - if @minimum_password_length
          .rui-field__help= t('devise.shared.minimum_password_length', count: @minimum_password_length)

      .rui-field
        = f.label :password_confirmation
        = f.password_field :password_confirmation, autocomplete: 'new-password'

  .rui-actions.-mtd
    .rui-field.rui-field--inline.-mrd
      .rui-field__field
        = f.label :current_password, class: 'rui-field__field__append'
        = f.password_field :current_password, autocomplete: 'current-password', required: true
    = f.submit t('generic.save'), class: 'rui-button rui-button--recording'

%details._gp-collapsible-section.-mtd
  %summary
    %h2._gp-collapsible-section__title= t('.cancel_my_account')
  = form_for resource_name, url: registration_path(resource_name),
                           method: :delete,
                           html: { class: '_gp-collapsible-section__content' },
                           data: { confirm: t('.are_you_sure') } do |f|
    = render 'delete_account_notice'
    .rui-actions
      .rui-field.rui-field--inline.-mrd
        .rui-field__field
          = f.label :current_password, class: 'rui-field__field__append'
          = f.password_field :current_password, autocomplete: 'current-password', required: true
      %button.rui-button.rui-button--destructive{ type: :submit }
        = icon :trash
        = t('.cancel_my_account')
